variables:
  WEB: "https://marcel.veselka.gitlab.io/ct60m/"
  BROWSER: "chrome"
  REPORT_DIR: "./Reports"

fun-test:
  stage: test
  image: python:latest
  variables:
    SELENIUM_HOST: "http://selenium__standalone-$BROWSER:4444/wd/hub"
    SELENIUM_CONTAINER: "selenium/standalone-$BROWSER"
  services:
    - name: $SELENIUM_CONTAINER
  script:
    # Install Robot Framework & Libraries
    - python -m pip install --upgrade pip
    - pip install -r ./resources/requirements.txt

    - >
      pabot
      --testlevelsplit 
      --listener robotframework_reportportal.listener
      -V ./resources/reportportal.py
      -v RP_UUID:$RP_UUID
      -v RP_LAUNCH:"full App1"
      ./app1/*

#    - robot --listener robotframework_reportportal.listener -V ./resources/reportportal.py -v RP_UUID:$RP_UUID -v RP_LAUNCH:"smoke App1" --include lvl:smoke ./app1/*
#    - robot --listener robotframework_reportportal.listener -V ./resources/reportportal.py -v RP_UUID:$RP_UUID -v RP_LAUNCH:"full App1" ./app1/*

#    - robot --listener robotframework_reportportal.listener -V ./resources/reportportal.py -v RP_UUID:$RP_UUID -v RP_LAUNCH:"mon App2" --include lvl:mon ./app2/*
#    - robot --listener robotframework_reportportal.listener -V ./resources/reportportal.py -v RP_UUID:$RP_UUID -v RP_LAUNCH:"smoke App2" --include lvl:smoke ./app2/*
    - >
      pabot 
      --testlevelsplit 
      --listener robotframework_reportportal.listener 
      -V ./resources/reportportal.py 
      -v RP_UUID:$RP_UUID 
      -v RP_LAUNCH:"full App2" 
      ./app2/*

  artifacts:
    paths:
      - $REPORT_DIR
    expire_in: 1 week
    when: always